DROPLANG(1)

NAME
droplang - Remove a programming language from a Postgres database

SYNOPSIS

droplang [ connection-options... ] [ langname ] dbname droplang [ connection-options... ] { --list | -l } dbname

  INPUTS

droplang accepts the following command line arguments:

langname
    Specifies the name of the backend programming language to be removed. droplang will prompt for langname if it is not specified on the command line.

[-d, --dbname] dbname
    Specifies from which database the language should be removed.

-l, --list
    Shows a list of already installed languages in the target database (which must be specified).

droplang also accepts the following command line arguments for connection parameters:

-h, --host host
    Specifies the hostname of the machine on which the postmaster is running. If host begins with a slash, it is used as the directory for the unix domain socket.

-p, --port port
    Specifies the Internet TCP/IP port or local Unix domain socket file extension on which the postmaster is listening for connections.

-U, --username username
    Username to connect as.

-W, --password
    Force password prompt.

  OUTPUTS

Most error messages are self-explanatory. If not, run droplang with the --echo option and see under the respective SQL command for details. Check also under psql(1) for more possibilities.

DESCRIPTION

droplang is a utility for removing an existing programming language from a Postgres database. droplang currently accepts two languages, plsql and pltcl.

Although backend programming languages can be removed directly using several SQL commands, it is recommended to use droplang because it performs a number of checks and is much easier to use. See DROP LANGUAGE [drop_language(l)] for more.

NOTES

Use createlang(1) to add a language.

USAGE

To remove pltcl:

$ droplang pltcl